%define	desktop_vendor 	endur
%define name  		streamtuner
%define version 	0.99.99
%define release		2.fc4
%define prefix		/usr


Summary: A stream directory browser.
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://streamtuner.sourceforge.net
Source0: %{name}-%{version}.tar.gz
Source1: %{name}.png
Patch0: %{name}-%{version}-live365.patch
Patch1: %{name}-%{version}-pygtk-2.6.patch
License: GPL
Group: Applications/Internet
Requires: gtk2 >= 2.2.2, curl >= 7.10.8, python >= 2.3.3, taglib >= 1.3, libidn >= 0.5.6
Requires: pygtk2 >= 2.4.0
BuildRequires: gtk2-devel >= 2.2.2, curl-devel >= 7.10.8, openssl-devel >= 0.9.6b
BuildRequires: python-devel >= 2.3.3, scrollkeeper >= 0.3, taglib-devel >= 1.3
BuildRequires: libidn-devel >= 0.5.6, pygtk2-devel >= 2.4.0
Obsoletes: streamtuner-live365, streamtuner-local, streamtuner-xiph
Obsoletes: streamtuner-python
                
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description 
Streamtuner is a stream directory browser.
It offers an intuitive GTK+ 2.0 interface
to Internet radio directories such as SHOUTcast and Live365.

%package devel
Summary: Development files for streamtuner.
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: pkgconfig

%description devel
Streamtuner is a stream directory browser. 
It offers an intuitive GTK+ 2.0 interface
to Internet radio directories such as SHOUTcast and Live365.
This package contains the libraries and includes files necessary
to develop applications for Streamtuner.

%prep
%setup -q
%patch0 -p0 -b .%{name}-%{version}-live365
%patch1 -p0 -b .%{name}-%{version}-pygtk-2.6

%build
CFLAGS="$RPM_OPT_FLAGS"

%configure --prefix=%{prefix}
 
make %{?_smp_mflags}

%makeinstall
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -D -m644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/%{name}.png
rm -rf %{buildroot}%{_localstatedir}
rm -f %{buildroot}%{_datadir}/applications/%{name}.desktop

cat > %{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
StartupNotify=true
Name=Streamtuner
Comment=A stream directory browser.
Exec=%{name}
Icon=%{name}.png
Terminal=false
Type=Application
EOF
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} --delete-original \
  --dir %{buildroot}%{_datadir}/applications                      \
  --add-category X-Red-Hat-Base                                   \
  --add-category Application                                      \
  --add-category AudioVideo                                       \
  %{name}.desktop

%find_lang %{name}

%post
scrollkeeper-update -q || :
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
scrollkeeper-update -q || :
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/*.so
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%dir %{_datadir}/omf/%{name}
%{_datadir}/omf/%{name}/*
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/gtk-doc/html/*
%dir %{_datadir}/help
%{_datadir}/help/*
%doc AUTHORS COPYING INSTALL NEWS README TODO

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/%{name}/plugins/*.*a


%changelog
* Wed Jun 29 2005 Matthias Haase <matthias_haase@bennewitz.com> - 0.99.99-2.fc4
- update-desktop-database added to post and postun

* Thu Jun 16 2005 Matthias Haase <matthias_haase@bennewitz.com> - 0.99-1
- Update to 0.99.99
- File list changed
- Patches added
- Rebuild for Fedora Core 4

* Wed Nov 10 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Added libidn and libidn-devel
- Rebuild for Fedora Core 3

* Sat Oct 23 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Update to 0.99
- Many changes because the plugins have been now included in the core distribution
- Taglib and taglib-devel added to deps

* Wed Aug 11 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Update to 0.12.5
_ Category changed to AudioVideo for desktop link

* Tue Aug 03 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Update to 0.12.4
- ChangeLog removed from the documentation

* Thu Jun 03 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Rebuild for Fedora Core 2

* Tue May 12 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Update to 0.12.3

* Fri Apr 02 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Update to 0.12.1
- scrollkeeper and some cleanups

* Wed Feb 18 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Update to 0.11.1

* Sat Jan 03 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Update to 0.10.2

* Sun Nov 09 2003 Matthias Haase <matthias_haase@bennewitz.com>
- Rebuild for Fedora Core 1

* Mon Sep 29 2003 Matthias Haase <matthias_haase@bennewitz.com>
- Update to 0.10.1
- Some new translations

* Wed Jul 16 2003 Matthias Haase <matthias_haase@bennewitz.com>
- Update to 0.10.0
- Theme directorys are removed and some cleanups are done

* Sat Apr 05 2003 Matthias Haase <matthias_haase@bennewitz.com>
- Rebuild of 0.9.1 for RH9

* Tue Mar 18 2003 Matthias Haase <matthias_haase@bennewitz.com>
- Rebuild for 0.9.1

* Sun Feb 02 2003 Matthias Haase <matthias_haase@bennewitz.com>
- Changes in order to match the GNU build system
- Split into binary/devel packages
- Rebuild for 0.9.0

* Wed Dec 25 2002 Matthias Haase <matthias_haase@bennewitz.com>
- Some cleanups in order to match RH8
- smp flag added
- RPM_OPT_FLAGS added
- debugging disabled

* Sat Oct 29 2002 Rudolf Kastl
- Cosmetical changes.

* Sat Oct 05 2002 Rudolf Kastl
- Minor fixes and new version.

* Wed Aug 21 2002 Rudolf Kastl
- Initial RPM release
